LS(1)

BEZEICHNUNG
ls - Verzeichnisinhalte auflisten

ÜBERSICHT
ls [OPTION]... [DATEI]...

BESCHREIBUNG

Auflistung von Informationen über die DATEIen (Standardvorgabe ist das aktuelle Verzeichnis). Die Einträge werden alphabetisch sortiert, falls weder -cftuvSUX noch --sort angegeben wurden.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --all
    Einträge nicht ignorieren, die mit ».« beginnen

-A, --almost-all
    Die impliziten Einträge ».« und »..« nicht auflisten

--author
    Mit -l den Autor jeder Datei ausgeben

-b, --escape
    Bei nichtdruckbaren Zeichen Maskierungen im C-Stil ausgeben

--block-size=GRÖSSE
    Größen mit GRÖSSE skalieren, bevor sie ausgegeben werden. Beispielsweise gibt »--block-size=M« Größen in Einheiten von 1.048.576 Byte aus. Siehe das Format von GRÖSSE unten.

-B, --ignore-backups
    Implizite Einträge, die auf »~« enden, nicht auflisten

-c  Mit -lt: Sortieren nach und Anzeigen von ctime (die Zeit der letzten Änderung der Statusinformation der Datei); mit -l: Anzeigen von ctime, sortieren nach Name; ansonsten: Sortieren nach ctime, neueste zuerst

-C  Einträge in Spalten auflisten

--color[=WANN]
    Farbige Ausgabe. WANN ist in der Voreinstellung »always« (immer), kann aber auch »never« (niemals) oder »auto« (automatisch) sein. Weitere Informationen unten

-d, --directory
    Verzeichniseinträge statt der -inhalte auflisten und symbolische Links nicht dereferenzieren

-D, --dired
    Ausgabe erzeugen, die für Emacs' »dired«-Modus geeignet ist

-f  Nicht sortieren, -aU an‐ und -ls --color abschalten

-F, --classify
    Indikator (einer aus »*/=>@|«) an Einträge anhängen

--file-type
    Genauso, aber kein »*« anhängen

--format=WORT
    »across« -x, »commas« -m, »horizontal« -x, »long« -l, »single-column« -1, »verbose« -l, »vertical« -C

--full-time
    Wie -l --time-style=full-iso

-g  Wie -l, aber Besitzer nicht auflisten

--group-directories-first
    Verzeichnisse vor den Dateien gruppieren.

    Kann mit einer --sort-Option erweitert werden, aber die Benutzung von --sort=none (-U) schaltet die Gruppierung ab

-G, --no-group
    Bei einem langen Listenformat die Gruppennamen nicht ausgeben

-h, --human-readable
    Mit -l die Größen in menschenlesbarem Format ausgeben (z. B. 1K 234M 2G)

--si
    Genauso, aber Potenzen von 1000 statt 1024 benutzen

-H, --dereference-command-line
    Symbolischen Links folgen, die auf der Befehlszeile aufgeführt sind

--dereference-command-line-symlink-to-dir
    Jedem symbolischen Link auf der Befehlszeile folgen, der auf ein Verzeichnis zeigt

--hide=MUSTER
    Implizite Einträge, auf die das Shell‐MUSTER passt, nicht auflisten (wird durch -a oder -A außer Kraft gesetzt)

--indicator-style=WORT
    Indikator des Stils WORT an die Namen der Einträge anhängen: »none« (Standardvorgabe), »slash« (-p), »file-type« (--file-type), »classify« (-F)

-i, --inode
    Indexnummer jeder Datei ausgeben

-I, --ignore=MUSTER
    Implizite Einträge, auf die das Shell‐MUSTER passt, nicht auflisten

-k, --kibibytes
    1024-Byte große Blöcke verwenden

-l  Langes Listenformat verwenden

-L, --dereference
    Beim Anzeigen der Dateiinformationen für einen symbolischen Link werden die Informationen für die Datei angezeigt, auf die der Link zeigt, statt für den Link selbst

-m  Die Breite mit einer durch Kommata getrennten Liste von Einträgen auffüllen

-n, --numeric-uid-gid
    Wie -l, aber numerische Benutzer- und Gruppen-IDs auflisten

-N, --literal
    Eintragsnamen unbehandelt anzeigen (z. B. Steuerzeichen nicht besonders behandeln)

-o  Wie -l, aber Gruppeninformationen nicht auflisten

-p, --indicator-style=slash
    Den »/«-Indikator an Verzeichnisse anhängen

-q, --hide-control-chars
    »?« statt nichtdruckbarer Zeichen ausgeben

--show-control-chars
    Nichtdruckbare Zeichen anzeigen, wie sie sind (Standardvorgabe, außer wenn das Programm »ls« ist und die Ausgabe auf ein Terminal geht)

-Q, --quote-name
    Eintragsnamen in doppelte englische Anführungszeichen einschließen

--quoting-style=WORT
    Anführungszeichen‐Stil WORT für Eintragsnamen benutzen: literal, locale, shell, shell-always, c, escape

-r, --reverse
    Umgekehrte Reihenfolge beim Sortieren

-R, --recursive
    Unterverzeichnisse rekursiv auflisten

-s, --size
    Die zugeteilte Größe jeder Datei in Blöcken ausgeben

-S  Nach Dateigröße sortieren

--sort=WORT
    Nach WORT anstatt nach Namen sortieren: »none« -U, »extension« -X, »size« -S, »time« -t, »version« -v

--time=WORT
    Mit -l Zeit als ZEIT statt der Änderungszeit anzeigen: »atime« -u, »access« -u, »use« -u, »ctime« -c oder »status« -c; die angegebene Zeit als Sortierschlüssel verwenden, wenn --sort=time angegeben wurde

--time-style=STIL
    Mit -l Zeiten im Stil STIL anzeigen: full-iso, long-iso, iso, locale, +FORMAT. FORMAT wird wie bei »date« interpretiert; falls FORMAT die Form FORMAT1<Zeilenumbruch>FORMAT2 hat, wird FORMAT1 für nicht kürzlich geänderte Dateien benutzt und FORMAT2 für kürzlich geänderte. Wenn STIL mit »posix-« beginnt, hat STIL nur außerhalb der POSIX-Locale einen Effekt

-t  Nach Änderungszeit sortieren, neueste zuerst

-T, --tabsize=ANZAHL
    Tabulatorstopps nach jeweils ANZAHL Spalten setzen statt 8

-u  Mit -lt: Sortieren nach und Anzeigen der Zugriffszeit; mit -l: Anzeigen der Zugriffszeit, sortieren nach Name; ansonsten: Sortieren nach Zugriffszeit

-U  Nicht sortieren; Einträge in der Reihenfolge des Verzeichnisses auflisten

-v  Natürliche Sortierung von (Versions)nummern im Text

-w, --width=BREITE
    Bildschirmbreite mit BREITE statt des aktuellen Wertes annehmen

-x  Einträge in Zeilen statt in Spalten auflisten

-X  Alphabetisch nach der Erweiterung des Eintrags sortieren

-Z, --context
    Jeden SELinux-Sicherheitskontext jeder Datei anzeigen

-1  Eine Datei pro Zeile auflisten

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

GRÖSSE ist eine Ganzzahl und optionale Einheit (Beispiel: 10M ist 10*1024*1024). Einheiten sind K, M, G, T, P, E, Z, Y (Potenzen von 1024) oder KB, MB, … (Potenzen von 1000).

Die Verwendung von Farben zur Unterscheidung von Dateitypen ist sowohl in der Voreinstellung als auch bei --color=never ausgeschaltet. Mit --color=auto gibt ls nur dann Farbcodes aus, wenn die Standardausgabe mit einem Terminal verbunden ist. Die Umgebungsvariable LS_COLORS kann diese Einstellungen ändern. Benutzen Sie den Befehl dircolors, um sie festzulegen.

  Rückgabewert:

0   wenn alles in Ordnung ist,

1   bei kleineren Problemen (z. B. kein Zugriff auf Unterverzeichnis),

2   bei ernsthaften Schwierigkeiten (z. B. kein Zugriff auf Befehlszeilenargument).

AUTOR
Geschrieben von Richard M. Stallman und David MacKenzie.

FEHLER BERICHTEN
Berichten Sie Fehler in ls (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von ls an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für ls wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und ls auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'ls invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.